Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.query
Class QueryFilterImpl

    java.lang.Object
      org.jbpm.services.task.query.QueryFilterImpl

All Implemented Interfaces:
  org.kie.internal.task.api.QueryFilter

    public class QueryFilterImpl

extends Object
implements org.kie.internal.task.api.QueryFilter

Constructor Summary
`QueryFilterImpl(int offset, int count)`
`QueryFilterImpl(int offset, int count, boolean singleResult)`
`QueryFilterImpl(int offset, int count, boolean singleResult, String filterParams, String language, String orderBy)`
`QueryFilterImpl(String filterParams, Map<String,Object> params, String orderBy)`
`QueryFilterImpl(String filterParams, Map<String,Object> params, String orderBy, int offset, int count)`

Method Summary
`int` | `getCount()`
`String` | `getFilterParams()`
`String` | `getLanguage()`
`int` | `getOffset()`
`String` | `getOrderBy()`
`Map<String,Object>` | `getParams()`
`boolean` | `isSingleResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryFilterImpl

    public QueryFilterImpl(int offset,
                           int count)

### QueryFilterImpl

    public QueryFilterImpl(int offset,
                           int count,
                           boolean singleResult)

### QueryFilterImpl

    public QueryFilterImpl(int offset,
                           int count,
                           boolean singleResult,
                           String filterParams,
                           String language,
                           String orderBy)

### QueryFilterImpl

    public QueryFilterImpl(String filterParams,
                           Map<String,Object> params,
                           String orderBy)

### QueryFilterImpl

    public QueryFilterImpl(String filterParams,
                           Map<String,Object> params,
                           String orderBy,
                           int offset,
                           int count)

Method Detail

### getOffset

    public int getOffset()

  Specified by:
    `getOffset` in interface `org.kie.internal.task.api.QueryFilter`

### getCount

    public int getCount()

  Specified by:
    `getCount` in interface `org.kie.internal.task.api.QueryFilter`

### isSingleResult

    public boolean isSingleResult()

  Specified by:
    `isSingleResult` in interface `org.kie.internal.task.api.QueryFilter`

### getLanguage

    public String getLanguage()

  Specified by:
    `getLanguage` in interface `org.kie.internal.task.api.QueryFilter`

### getOrderBy

    public String getOrderBy()

  Specified by:
    `getOrderBy` in interface `org.kie.internal.task.api.QueryFilter`

### getFilterParams

    public String getFilterParams()

  Specified by:
    `getFilterParams` in interface `org.kie.internal.task.api.QueryFilter`

### getParams

    public Map<String,Object> getParams()

  Specified by:
    `getParams` in interface `org.kie.internal.task.api.QueryFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.